library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_unsigned.all;

entity cnt_D2 is
port(
--INPUTS
C   : in std_logic;
--OUTPUTS
q   : out std_logic_vector(4 downto 1);
PO  : out std_logic
);
end;

architecture cnt_D2_rtl of cnt_D2 is

signal CNT  : std_logic_vector(3 downto 0):="0000";

begin

    q <= CNT;
    PO <= CNT(3) and CNT(2) and CNT(1) and CNT(0);

    process(C)
    begin
        if C'event and C = '1' then
            CNT <= CNT+"0001";
        end if;
    end process;

end cnt_D2_rtl;